> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Closed Orders

> Retrieve information about orders that have been closed (filled or cancelled). 50 results are returned at a time, the most recent by default.

**Note:** If an order's tx ID is given for `start` or `end` time, the order's opening time (`opentm`) is used




## OpenAPI

````yaml Crypto post /getClosedOrders
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /getClosedOrders:
    post:
      tags:
        - private
      summary: Get Closed Orders
      description: >
        Retrieve information about orders that have been closed (filled or
        cancelled). 50 results are returned at a time, the most recent by
        default.


        **Note:** If an order's tx ID is given for `start` or `end` time, the
        order's opening time (`opentm`) is used
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: string
                  description: '(Required) '
                  example: '-51296282'
                asset:
                  type: string
                  description: >-
                    (Required) Asset to unstake (asset ID or `altname`). Must be
                    a valid staking asset (e.g. `XBT.M`, `XTZ.S`, `ADA.S`)
                  example: XBT.M
                amount:
                  type: string
                  description: (Required) Amount of the asset to stake
                  example: Duis consequat
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  closed:
                    O37652-RJWRT-IMO74O:
                      userref: 36493663
                      status: canceled
                      reason: User requested
                      opentm: 1616148493.7708
                      closetm: 1616148610.0482
                      starttm: 0
                      expiretm: 0
                      descr:
                        pair: XBTGBP
                        type: buy
                        ordertype: Stop-loss-limit
                        price: '2506.0'
                        price2: '0'
                        leverage: none
                        order: buy 0.00100000 XBTGBP @ limit 2506.0
                        close: ''
                      vol: '0.00100000'
                      vol_exec: '0.00000000'
                      cost: '0.00000'
                      fee: '0.00000'
                      price: '0.00000'
                      stopprice: '0.00000'
                      limitprice: '0.00000'
                      misc: ''
                      oflags: fciq
                      trigger: index
                    O6YDQ5-LOMWU-37YKEE:
                      userref: 36493663
                      status: canceled
                      reason: User requested
                      opentm: 1616148493.7708
                      closetm: 1616148610.0477
                      starttm: 0
                      expiretm: 0
                      descr:
                        pair: XBTGBP
                        type: buy
                        ordertype: take-profit-limit
                        price: '2518.0'
                        price2: '0'
                        leverage: none
                        order: buy 0.00100000 XBTGBP @ limit 2518.0
                        close: ''
                      vol: '0.00100000'
                      vol_exec: '0.00000000'
                      cost: '0.00000'
                      fee: '0.00000'
                      price: '0.00000'
                      stopprice: '0.00000'
                      limitprice: '0.00000'
                      misc: ''
                      oflags: fciq
                      trigger: index
                  count: 2
      security:
        - noauthAuth: []
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    noauthAuth:
      type: http
      scheme: noauth
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````